summaryrefslogtreecommitdiff
path: root/examples/ndfd
diff options
context:
space:
mode:
authorpab <devnull@localhost>2009-07-08 02:27:53 +0000
committerpab <devnull@localhost>2009-07-08 02:27:53 +0000
commite23aa9d3a16a3a34dbd99e39b98b53509c678036 (patch)
tree1ea219006c01a084de99cb99f00064ea1dd05289 /examples/ndfd
parentedc57cb12bdb564d68a122c5255d10dd48fd46ba (diff)
Update for new pyxbgen interface
Diffstat (limited to 'examples/ndfd')
-rw-r--r--examples/ndfd/genbindings.sh6
-rw-r--r--examples/ndfd/test.sh1
2 files changed, 4 insertions, 3 deletions
diff --git a/examples/ndfd/genbindings.sh b/examples/ndfd/genbindings.sh
index 21be5f5..293231c 100644
--- a/examples/ndfd/genbindings.sh
+++ b/examples/ndfd/genbindings.sh
@@ -9,7 +9,7 @@ touch raw/__init__.py
../../scripts/pyxbgen \
-u "${URI}" \
-m "${PREFIX}" \
- -r --write-schema-path . || exit
+ -r || exit
if [ ! -f ${PREFIX}.py ] ; then
echo "from raw.${PREFIX} import *" > ${PREFIX}.py
fi
@@ -20,9 +20,9 @@ if [ ! -f ndfdXML.wsdl ] ; then
wget ${WSDL_URI}
fi
../../scripts/pyxbgen \
- -u "${WSDL_URI}" \
+ -W "${WSDL_URI}" \
-m ndfd \
- -r -W || exit
+ -r || exit
../../scripts/pyxbwsdl file:ndfdXML.wsdl
diff --git a/examples/ndfd/test.sh b/examples/ndfd/test.sh
index c4e8f69..0a8f778 100644
--- a/examples/ndfd/test.sh
+++ b/examples/ndfd/test.sh
@@ -1,3 +1,4 @@
sh genbindings.sh
export PYTHONPATH=../..
python showreq.py
+python forecast.py